it-swarm-ja.com

Debian9への先読みのインストール

最近私のコンピューターにdebian9をインストールしました。パッケージ「readahead」をインストールしたいのですが、見つからないようです。以前のDebianバージョンからインストールする必要がありますか?

2
ImADebianGuest

パッケージreadaheadは、DebianWheezyとJessieでのみ使用できます。また、systemdから削除されました。

systemdの先読み実装は削除されました。多くの場合、回転ディスクドライブに対しても期待されるメリットは得られず、SSDの時代には関連性が低くなりました。開発者の誰も回転メディアを使用しておらず、systemdのこのコンポーネントを積極的に維持するためにステップアップした人はいないため、現在は削除されています。

Freedesktop-systemd-line#n95

Systemdを使用するLinuxディストリビューションでは、(ブートシーケンスの一部として)先読みバイナリがsystemd-readaheadに置き換えられました。[4] [5]ただし、先読みのサポートはバージョン217でsystemdから削除され、保守されておらず、期待されるパフォーマンス上の利点を提供できないと説明されていました。

ウィキペディアの先読み

以前のDebianバージョンからインストールする必要がありますか?

以前のDebianディストリビューションからパッケージをインストールすることは、ピン留め方法を使用して可能ですが、お勧めしません。

1
GAD3R